# Disk

{% hint style="info" %}
**Updated**: February 13, 2026
{% endhint %}

## Creating a Standard HDD disk

```yaml
defaults:
  resource_group: rg1
  
resources:
  - type: "Microsoft.Compute/disks"
    api_version: "2025-01-02"
    name: data-disk-hdd
    sku:
        name: Standard_LRS
    props:
      disk_size_gb: 40
      creation_data:
        create_option: Empty
```

### Example plan output

```
data-disk-hdd (action: create, monthly: $3.01, change: +100%)
  => Storage (monthly: $3.01)
    => S6 LRS Disk (price: $3.008/Month, size: 64, monthly: $3.01)
    => S6 LRS Disk Operations (price: $0.0005/10K)
```

## Creating a Standard SSD disk

```yaml
defaults:
  resource_group: rg1
  
resources:
  - type: "Microsoft.Compute/disks"
    api_version: "2025-01-02"
    name: data-disk-ssd
    sku:
      name: StandardSSD_LRS
    props:
      disk_size_gb: 40
      creation_data:
        create_option: Empty
```

### Example plan output

```
data-disk-ssd (action: create, monthly: $4.80, change: +100%)
  => Storage (monthly: $4.80)
    => E6 LRS Disk Operations (price: $0.002/10K)
    => E6 LRS Disk (price: $4.8/Month, size: 64, monthly: $4.80)
```

## Creating a Premium SSD disk

```yaml
defaults:
  resource_group: rg1
  
resources:
  - type: "Microsoft.Compute/disks"
    api_version: "2025-01-02"
    name: data-disk-premium
    sku:
      name: Premium_LRS
    props:
      disk_size_gb: 40
      creation_data:
        create_option: Empty
```

### Example plan output

```
data-disk-premium (action: create, monthly: $9.28, change: +100%)
  => Storage (monthly: $9.28)
    => P6 LRS Disk (price: $9.2801/Month, size: 64, monthly: $9.28)
```

## Creating a Premium SSD with Zone Redundancy

```yaml
defaults:
  resource_group: rg1
  
resources:
  - type: "Microsoft.Compute/disks"
    api_version: "2025-01-02"
    name: data-disk-premium-zrs
    sku:
      name: Premium_ZRS
    props:
      disk_size_gb: 100
      creation_data:
        create_option: Empty
```

### Example plan output

```
data-disk-premium-zrs (action: create, monthly: $26.88, change: +100%)
  => Storage (monthly: $26.88)
    => P10 ZRS Disk (price: $26.88/Month, size: 128, monthly: $26.88)
```

## Creating a Premium SSD v2 disk

Premium SSD v2 allows you to configure IOPS and throughput independently of disk size.

```yaml
defaults:
  resource_group: rg1
  
resources:
  - type: "Microsoft.Compute/disks"
    api_version: "2025-01-02"
    name: data-disk-premium-v2
    sku:
      name: PremiumV2_LRS
    props:
      disk_size_gb: 100
      disk_iops_read_write: 5000
      disk_mbps_read_write: 200
      creation_data:
        create_option: Empty
```

### Example plan output

```
data-disk-premium-v2 (action: create, monthly: $21.26, change: +100%)
  => Storage (monthly: $21.26)
    => Storage cost (price: $0.00011/GiB/Hr, size: 100, monthly: $8.03)
    => IOPS (monthly: $10.22)
      => Tier 1 (First 3000 IOPS included - quantity: 3000, monthly: $0.00)
      => Tier 2 (Over 3000 IOPS - price: $7e-06/Hr, quantity: 2000, monthly: $10.22)
    => Throughput (monthly: $3.01)
      => Tier 1 (First 125 MB/s included - quantity: 125, monthly: $0.00)
      => Tier 2 (Over 125 MB/s - price: $5.5e-05/Hr, quantity: 75, monthly: $3.01)
```

## Disk Tier Reference

Azure charges by tier, not exact GB size. When you specify a disk size, Azure provisions the next tier up.

### Standard HDD Tiers

| Tier | Capacity |
| ---- | -------- |
| S4   | 32 GB    |
| S6   | 64 GB    |
| S10  | 128 GB   |
| S15  | 256 GB   |
| S20  | 512 GB   |
| S30  | 1024 GB  |

### Standard SSD Tiers

| Tier | Capacity |
| ---- | -------- |
| E4   | 32 GB    |
| E6   | 64 GB    |
| E10  | 128 GB   |
| E15  | 256 GB   |
| E20  | 512 GB   |
| E30  | 1024 GB  |

### Premium SSD Tiers

| Tier | Capacity |
| ---- | -------- |
| P4   | 32 GB    |
| P6   | 64 GB    |
| P10  | 128 GB   |
| P15  | 256 GB   |
| P20  | 512 GB   |
| P30  | 1024 GB  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mechcloud.io/cloud-computing/stateless-iac/azure/examples-resources-with-cost/microsoft.compute/disk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
